audit_alloc
Prev | Chapter 13. Audit Interfaces | Next

## Name

audit_alloc — allocate an audit context block for a task

## Synopsis

`int audit_alloc (` | struct task_struct * | tsk`)`;

## Arguments

`tsk`

  task

## Description

Filter on the task information and allocate a per-task audit context if necessary. Doing so turns on system call auditing for the specified task. This is called from copy_process, so no lock is needed.

Prev | Up | Next
audit_log | Home | audit_free